CONFIG_BL_VALIDATE_FW_EXT_API_MAX_VER

(No prompt – not directly user assignable.)

Type: int

Help

The maximum requested version for the $(EXT_API) EXT_API.

Direct dependencies

(BL_VALIDATE_FW_EXT_API_ENABLED || !BL_VALIDATE_FW_EXT_API_UNUSED) && SECURE_BOOT_VALIDATION

(Includes any dependencies from ifs and menus.)

Default

  • 255

Kconfig definition

At <nRF>/subsys/fw_info/Kconfig.template.fw_info_ext_api:65

Included via <Zephyr>/Kconfig:8<Zephyr>/Kconfig.zephyr:33<Zephyr>/modules/Kconfig:6<nRF>/doc/_build/kconfig/Kconfig.modules:2<nRF>/Kconfig.nrf:81<nRF>/subsys/Kconfig:8<nRF>/subsys/bootloader/Kconfig:235<nRF>/subsys/bootloader/bl_validation/Kconfig:59

Menu path: (Top) → Modules → nrf (/home/runner/work/sdk-nrf/sdk-nrf/ncs/nrf) → Nordic nRF Connect → Bootloader → Secure Boot firmware validation

config BL_VALIDATE_FW_EXT_API_MAX_VER
    int
    default 255
    depends on (BL_VALIDATE_FW_EXT_API_ENABLED || !BL_VALIDATE_FW_EXT_API_UNUSED) && SECURE_BOOT_VALIDATION
    help
      The maximum requested version for the $(EXT_API) EXT_API.

(The ‘depends on’ condition includes propagated dependencies from ifs and menus.)